Package ch.qos.logback.classic.gaffer

## Class ComponentDelegate

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.classic.gaffer.ComponentDelegate

All Implemented Interfaces:
  `ContextAware`, `groovy.lang.GroovyObject`

Direct Known Subclasses:
  `AppenderDelegate`

    public class ComponentDelegate
    extends ContextAwareBase
    implements groovy.lang.GroovyObject

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`ComponentDelegate​(java.lang.Object component)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `analyzeArgs​(java.lang.Object... args)`
`void` `cascadeFields​(ComponentDelegate subDelegate)`
`java.lang.Object` `getComponent()`
`java.lang.String` `getComponentName()`
`java.util.List` `getFieldsToCascade()`
`java.lang.String` `getLabel()`
`java.lang.String` `getLabelFistLetterInUpperCase()`
`groovy.lang.MetaClass` `getMetaClass()`
`java.lang.Object` `getProperty​(java.lang.String property)`
`void` `injectParent​(java.lang.Object subComponent)`
`java.lang.Object` `invokeMethod​(java.lang.String method, java.lang.Object arguments)`
`void` `methodMissing​(java.lang.String name, java.lang.Object args)`
`java.lang.Class` `parseClassArgument​(java.lang.Object arg)`
`java.lang.String` `parseNameArgument​(java.lang.Object arg)`
`void` `propertyMissing​(java.lang.String name, java.lang.Object value)`
`void` `setMetaClass​(groovy.lang.MetaClass mc)`
`void` `setProperty​(java.lang.String property, java.lang.Object value)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentDelegate

    public ComponentDelegate​(java.lang.Object component)

### Method Detail

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`

#### setMetaClass

    public void setMetaClass​(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`

#### invokeMethod

    public java.lang.Object invokeMethod​(java.lang.String method,
                                         java.lang.Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`

#### getProperty

    public java.lang.Object getProperty​(java.lang.String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`

#### setProperty

    public void setProperty​(java.lang.String property,
                            java.lang.Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`

#### getComponent

    public final java.lang.Object getComponent()

#### getFieldsToCascade

    public final java.util.List getFieldsToCascade()

#### getLabel

    public java.lang.String getLabel()

#### getLabelFistLetterInUpperCase

    public java.lang.String getLabelFistLetterInUpperCase()

#### methodMissing

    public void methodMissing​(java.lang.String name,
                              java.lang.Object args)

#### cascadeFields

    public void cascadeFields​(ComponentDelegate subDelegate)

#### injectParent

    public void injectParent​(java.lang.Object subComponent)

#### propertyMissing

    public void propertyMissing​(java.lang.String name,
                                java.lang.Object value)

#### analyzeArgs

    public java.lang.Object analyzeArgs​(java.lang.Object... args)

#### parseClassArgument

    public java.lang.Class parseClassArgument​(java.lang.Object arg)

#### parseNameArgument

    public java.lang.String parseNameArgument​(java.lang.Object arg)

#### getComponentName

    public java.lang.String getComponentName()